Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development


Thank you for visiting the BlackBerry Support Community Forums.

BlackBerry will be closing the BlackBerry Support Community Forums Device Forums on April 1st (Developers, see below)

BlackBerry remains committed to providing excellent customer support to our customers. We are delighted to direct you to the CrackBerry Forums, a well-established and thorough support channel, for continued BlackBerry support. Please visit http://forums.crackberry.com or http://crackberry.com/ask. You can also continue to visit BlackBerry Support or the BlackBerry Knowledge Base for official support options available for your BlackBerry Smartphone.

"When we launched CrackBerry.com 10 years ago, we set out to make it a fun and useful destination where BlackBerry Smartphone owners could share their excitement and learn to unleash the full potential of their BlackBerry. A decade later, the CrackBerry community is as active and passionate as ever and I know our knowledgeable members and volunteers will be excited to welcome and assist more BlackBerry owners with their questions."

- Kevin Michaluk, Founder, CrackBerry.com

Developers, for more information about the BlackBerry Developer Community please review Join the Conversation on the BlackBerry Developer Community Forums found on Inside BlackBerry.


Reply
Developer
Posts: 306
Registered: ‎03-01-2011
My Device: Playbook (sim)
My Carrier: Base

#2 Develop for Tablet OS 2.1 and BB10

Hi,

 

I've built successfully a BB10 app. Now I wanted to port it over to the PlayBook.

 

I've built a debug token using the command line and installed it on the playbook.

I've deployed my swf with the SDK 2.1.

I've packaged my app into a bar file using the graphical aid.

 

Now I want to test it and I get this message:

 

Info: Sending request: Install
Info: Action: Install
Info: File size: 266577
Info: Installing ...
Info: Processing 266577 bytes
actual_dname::
actual_id::
actual_version::
result::failure 821 Application-Requires-System: unrecognized system name 'BlackBerry 10'

 

What's going wrong?

 

Thanks in advance Smiley Happy

lrrm

..................................................................................................................................................................................................................

My App: Peg Solitaire

Need a designer? Drop me a line
Developer
Posts: 1,269
Registered: ‎12-29-2010
My Device: PlayBook, Z10 LE, Dev Alpha C

Re: #2 Develop for Tablet OS 2.1 and BB10

Did you use the correct number in your <platformVersion> node in your bar-descriptor.xml?

 

http://developer.blackberry.com/air/documentation/bb10/r_barfile_dtd_ref_platformversion.html

 

  • 1.0.0 represents BlackBerry Tablet OS 1.0 versions.
  • 2.0.0 represents BlackBerry Tablet OS 2.0 versions.
  • 3.0.0 represents BlackBerry 10 OS versions
Highlighted
Developer
Posts: 306
Registered: ‎03-01-2011
My Device: Playbook (sim)
My Carrier: Base

Re: #2 Develop for Tablet OS 2.1 and BB10

thank's for the hint. It wasn't in my blackberry-tablet.xml. Unfortunately I'm still getting this error complaining about blackberry 10.

 

blackberry-tablet.xml looks like this:

<qnx>
	<initialWindow>
		<systemChrome>none</systemChrome>
		<transparent>false</transparent>
		<autoOrients>false</autoOrients>
		<aspectRatio>landscape</aspectRatio>
	</initialWindow>
	<author>LRRM</author> 
	<authorId>XXXXXXXXXX</authorId>
	<publisher>LRRM</publisher>
	<category>core.media</category>
	<icon>
		<image>blackberry-tablet-icon.png</image>
	</icon>
	<platformVersion>2.1.0</platformVersion>
	<!--<splashscreen>blackberry-splashscreen.png</splashscreen>-->
</qnx>

 
and the application xml

<?xml version="1.0" encoding="utf-8" ?> 
<application xmlns="http://ns.adobe.com/air/application/2.5">
	
	<id>SynTester</id> 
	<versionNumber>1.0.0</versionNumber> 
	<filename>NewProject</filename> 
	
	<name>SynTester</name> 
	<description>Test synesthesia.</description> 
	<copyright>LRRM</copyright>  
	
	<initialWindow> 
		<title>New Project</title> 
		<content>HelloWorld.swf</content> 
		<systemChrome>standard</systemChrome> 
		<transparent>false</transparent> 
		<visible>true</visible> 
		<minimizable>true</minimizable> 
		<maximizable>true</maximizable> 
		<resizable>false</resizable> 
	</initialWindow> 
	
	<!-- 
	More options:
	http://livedocs.adobe.com/flex/3/html/File_formats_1.html#1043413
	-->
</application>

 The SWF file is bundled for FP 10.0

It seems that the created bar file somehow points to BB10. Oh wait second... I've forgotten to set the SDK in the graphical aid. Now it points to the 2.1.0 SDK but this generated another problem:

 

Info: Package created: E:\Workbench\Projects\Synaestesia Tester Playbook\bar\syntest.bar
Error: bar1666686475871452018.MF, Invalid value "Tablet OS/2.1.0" for Application-Requires-System.

I removed the <plattformVersion> tag from the xml file and packaged a new bar.

This worked. Smiley Happy

 

Thanks for pointing me into the right direction!

 

..................................................................................................................................................................................................................

My App: Peg Solitaire

Need a designer? Drop me a line
Developer
Posts: 210
Registered: ‎05-18-2009
My Device: NA
My Carrier: NA

Re: #2 Develop for Tablet OS 2.1 and BB10

Yes,

 

He sent you the right info.

 

The platform version you are using above is for the PlayBook 2.1 OS. 

 

Cheers